# FLTK 1.1.3 Programming Manual

Revision 4 by Michael Sweet, Craig P. Earls, and Bill Spitzak
Copyright 1998-2003 by Bill Spitzak and others.

This software and manual are provided under the terms of the GNU Library General Public License.

Preface
1 - Introduction to FLTK
2 - FLTK Basics
3 - Common Widgets and Attributes

- Colors
- Box Types
- Labels and Label Types
- Images
- class Fl_Pixmap

4 - Designing a Simple Text Editor
5 - Drawing Things in FLTK
6 - Handling Events

- Fl::event_*() methods
- Event Propagation

7 - Adding and Extending Widgets

8 - Using OpenGL
9 - Programming with FLUID

- Widget Attributes
- Selecting Moving Widgets
- Image Labels

A - Class Reference
B - Function Reference
C - FLTK Enumerations.H
D - GLUT Compatibility

- class Fl_Glut_Window

E - Forms Compatibility
F - Operating System Issues
G - Migrating Code from FLTK 1.0.x
H - Software License